﻿using System;
using System.Collections.Generic;
using System.Text;
using Xamarin.Forms;

namespace Schedule.TemplateSelector
{
    public class SchedulerTemplateSelector : DataTemplateSelector
    {
        readonly DataTemplate _allDayTemplate;


        public SchedulerTemplateSelector()
        {
            _allDayTemplate = new DataTemplate(typeof(CustomAllDayTemplate));
        }

        protected override DataTemplate OnSelectTemplate(object item, BindableObject container)
        {
            if (item == null || container == null)
            {
                return null;
            }

            return _allDayTemplate;
        }
    }
}
